Subject: Re: bug#22933: M-x guix-edit fails gracelessly when passed an nonexistent package name

From: [email-masked] (Ludovic Courtès)
Date: Tue, 08 Mar 2016 11:13:36 +0100

Alex Kost <[email-masked]> skribis:

> Ludovic Courtès (2016-03-08 00:03 +0300) wrote:
>
> [...]
>>> what about using (not tested):
>>>
>>>   (and=> (or (package-by-id id-or-name)
>>>              (match (packages-by-name id-or-name)
>>>                (()        #f)
>>>                ((pkg ..1) pkg)))
>>>          (compose location->string package-location))
>>
>> I like it too!
>>
>>> I know you love my 'pkg' identifier.  ;)
>>
>> No I don’t!  :-)
>>
>> I think we should stick to one identifier style, which is to always use
>> full words (I’m often tempted to use abbreviations and I force myself
>> not to, as silly as I am!)
>
> Good to know, I always thought that things like "pkg" or "drv" are OK in
> a local scope.

Well, ahem, ‘drv’ is an exception…

Otherwise I think the rationale of the “Naming” section at
<http://mumble.net/~campbell/scheme/style.txt> is a good one.

Ludo’.